ripley::WaveAssembler2D Class Reference

`#include <WaveAssembler2D.h>`

Inheritance diagram for ripley::WaveAssembler2D:

## Public Member Functions

| WaveAssembler2D (escript::const_Domain_ptr dom, const double *dx, const dim_t *NE, const dim_t *NN, const DataMap &c)
| ~WaveAssembler2D ()
void | assemblePDESystem (escript::AbstractSystemMatrix *mat, escript::Data &rhs, const DataMap &coefs) const
void | assemblePDESingle (escript::AbstractSystemMatrix *mat, escript::Data &rhs, const DataMap &coefs) const
void | assemblePDEBoundarySingle (escript::AbstractSystemMatrix *mat, escript::Data &rhs, const DataMap &coefs) const
void | assemblePDESingleReduced (escript::AbstractSystemMatrix *mat, escript::Data &rhs, const DataMap &coefs) const
void | assemblePDEBoundarySingleReduced (escript::AbstractSystemMatrix *mat, escript::Data &rhs, const DataMap &coefs) const
void | assemblePDEBoundarySystem (escript::AbstractSystemMatrix *mat, escript::Data &rhs, const DataMap &coefs) const
void | assemblePDESystemReduced (escript::AbstractSystemMatrix *mat, escript::Data &rhs, const DataMap &coefs) const
void | assemblePDEBoundarySystemReduced (escript::AbstractSystemMatrix *mat, escript::Data &rhs, const DataMap &coefs) const
void | collateFunctionSpaceTypes (std::vector< int > &fsTypes, const DataMap &coefs) const
Public Member Functions inherited from ripley::AbstractAssembler
virtual | ~AbstractAssembler ()

## Private Member Functions

| POINTER_WRAPPER_CLASS (const Rectangle) domain

## Private Attributes

DataMap | c
const double * | m_dx
const dim_t * | m_NE
const dim_t * | m_NN
escript::Data | c11
escript::Data | c12
escript::Data | c13
escript::Data | c23
escript::Data | c33
escript::Data | c44
escript::Data | c66
bool | isVTI
bool | isHTI

## Constructor & Destructor Documentation

## WaveAssembler2D()

ripley::WaveAssembler2D::WaveAssembler2D | ( | escript::const_Domain_ptr | dom,
|  | const double * | dx,
|  | const dim_t * | NE,
|  | const dim_t * | NN,
|  | const DataMap & | c
| ) |  |

References c, c11, c12, c13, c23, c33, c44, c66, escript::Data::getFunctionSpace(), escript::FunctionSpace::getTypeCode(), isHTI, and isVTI.

## ~WaveAssembler2D()

ripley::WaveAssembler2D::~WaveAssembler2D | ( |  | ) |

inline

## Member Function Documentation

## assemblePDEBoundarySingle()

void ripley::WaveAssembler2D::assemblePDEBoundarySingle | ( | escript::AbstractSystemMatrix * | mat,
|  | escript::Data & | rhs,
|  | const DataMap & | coefs
| ) |  | const

inline virtual

Implements ripley::AbstractAssembler.

## assemblePDEBoundarySingleReduced()

void ripley::WaveAssembler2D::assemblePDEBoundarySingleReduced | ( | escript::AbstractSystemMatrix * | mat,
|  | escript::Data & | rhs,
|  | const DataMap & | coefs
| ) |  | const

inline virtual

Implements ripley::AbstractAssembler.

## assemblePDEBoundarySystem()

void ripley::WaveAssembler2D::assemblePDEBoundarySystem | ( | escript::AbstractSystemMatrix * | mat,
|  | escript::Data & | rhs,
|  | const DataMap & | coefs
| ) |  | const

inline virtual

Implements ripley::AbstractAssembler.

## assemblePDEBoundarySystemReduced()

void ripley::WaveAssembler2D::assemblePDEBoundarySystemReduced | ( | escript::AbstractSystemMatrix * | mat,
|  | escript::Data & | rhs,
|  | const DataMap & | coefs
| ) |  | const

inline virtual

Implements ripley::AbstractAssembler.

## assemblePDESingle()

void ripley::WaveAssembler2D::assemblePDESingle | ( | escript::AbstractSystemMatrix * | mat,
|  | escript::Data & | rhs,
|  | const DataMap & | coefs
| ) |  | const

inline virtual

Implements ripley::AbstractAssembler.

## assemblePDESingleReduced()

void ripley::WaveAssembler2D::assemblePDESingleReduced | ( | escript::AbstractSystemMatrix * | mat,
|  | escript::Data & | rhs,
|  | const DataMap & | coefs
| ) |  | const

inline virtual

Implements ripley::AbstractAssembler.

## assemblePDESystem()

void ripley::WaveAssembler2D::assemblePDESystem | ( | escript::AbstractSystemMatrix * | mat,
|  | escript::Data & | rhs,
|  | const DataMap & | coefs
| ) |  | const

virtual

Implements ripley::AbstractAssembler.

References escript::Data::actsExpanded(), c11, c13, c33, c44, c66, escript::AbstractSystemMatrix::getColumnBlockSize(), escript::Data::getDataPointSize(), escript::Data::getFunctionSpace(), escript::AbstractSystemMatrix::getRowBlockSize(), escript::Data::getSampleDataRO(), escript::FunctionSpace::getTypeCode(), INDEX2, INDEX3, INDEX4, INDEX5, escript::Data::isEmpty(), ripley::isNotEmpty(), isVTI, m_dx, m_NE, m_NN, escript::Data::requireWrite(), and ripley::unpackData().

## assemblePDESystemReduced()

void ripley::WaveAssembler2D::assemblePDESystemReduced | ( | escript::AbstractSystemMatrix * | mat,
|  | escript::Data & | rhs,
|  | const DataMap & | coefs
| ) |  | const

inline virtual

Implements ripley::AbstractAssembler.

## collateFunctionSpaceTypes()

void ripley::WaveAssembler2D::collateFunctionSpaceTypes | ( | std::vector< int > & | fsTypes,
|  | const DataMap & | coefs
| ) |  | const

virtual

Implements ripley::AbstractAssembler.

References ripley::isNotEmpty().

## POINTER_WRAPPER_CLASS()

ripley::WaveAssembler2D::POINTER_WRAPPER_CLASS | ( | const | Rectangle | ) |

private

## Member Data Documentation

## c

DataMap ripley::WaveAssembler2D::c

private

Referenced by WaveAssembler2D().

## c11

escript::Data ripley::WaveAssembler2D::c11

private

Referenced by assemblePDESystem(), and WaveAssembler2D().

## c12

escript::Data ripley::WaveAssembler2D::c12

private

Referenced by WaveAssembler2D().

## c13

escript::Data ripley::WaveAssembler2D::c13

private

Referenced by assemblePDESystem(), and WaveAssembler2D().

## c23

escript::Data ripley::WaveAssembler2D::c23

private

Referenced by WaveAssembler2D().

## c33

escript::Data ripley::WaveAssembler2D::c33

private

Referenced by assemblePDESystem(), and WaveAssembler2D().

## c44

escript::Data ripley::WaveAssembler2D::c44

private

Referenced by assemblePDESystem(), and WaveAssembler2D().

## c66

escript::Data ripley::WaveAssembler2D::c66

private

Referenced by assemblePDESystem(), and WaveAssembler2D().

## isHTI

bool ripley::WaveAssembler2D::isHTI

private

Referenced by WaveAssembler2D().

## isVTI

bool ripley::WaveAssembler2D::isVTI

private

Referenced by assemblePDESystem(), and WaveAssembler2D().

## m_dx

const double* ripley::WaveAssembler2D::m_dx

private

Referenced by assemblePDESystem().

## m_NE

const dim_t* ripley::WaveAssembler2D::m_NE

private

Referenced by assemblePDESystem().

## m_NN

const dim_t* ripley::WaveAssembler2D::m_NN

private

Referenced by assemblePDESystem().

The documentation for this class was generated from the following files:

- ripley/src/WaveAssembler2D.h
- ripley/src/WaveAssembler2D.cpp